Subject: [PATCH v5 3/5] arm64: arch_timer: Work around QorIQ Erratum A-008585

From: [email-masked] (Scott Wood)
Date: Sun, 18 Sep 2016 23:31:45 -0500

On Mon, 2016-09-12 at 14:07 +0100, Marc Zyngier wrote:
> On 12/09/16 13:59, Mark Rutland wrote:
> > 
> > On Mon, Sep 12, 2016 at 01:30:28PM +0100, Mark Rutland wrote:
> > > 
> > > On Mon, Sep 12, 2016 at 12:44:07PM +0100, Will Deacon wrote:
> > > > 
> > > > On Mon, Sep 12, 2016 at 12:36:15PM +0100, Mark Rutland wrote:
> > > > > 
> > > > > The changes in arm64's <asm/arch_timer.h> are going to conflict with
> > > > > some cleanup [1,2] that just landed in the arm64 for-next/core
> > > > > branch.
> > > > > 
> > > > > Could you please rebase atop of that?
> > > > Well, we should figure out what tree this is going through first.
> > > > There
> > > > are a mixture of arm, arm64, driver and dts changes here and not all
> > > > of it is carrying the appropriate acks for me to queue it.
> > > Given that mix, I had assumed that this would all go through the arm64
> > > tree -- I see that Rob has already acked the binding, and I'm happy to
> > > give my ack for the driver once that's in shape.
> > Now I see that I'd missed the arch/arm changes in patch 4, which lack a
> > relevant ack.
> > 
> > Given that, I don't know what to suggest.
> I wouldn't mind delaying patch 4 until it gets acked by RMK, as it
> doesn't impact the functionality.

Mark asked me to move that patch before the workaround patch, to avoid ever
having to add more code that messes with the name. ?Should I keep the order as
is then?

-Scott